[PATCH] GCC4 - socklen_t fixes

diff -urN b/NQ/net_udp.c head/NQ/net_udp.c
--- b/NQ/net_udp.c	2004-08-11 22:35:12.000000000 +0930
+++ head/NQ/net_udp.c	2005-11-03 20:54:33.000000000 +1030
@@ -233,7 +233,7 @@
 int
 UDP_Read(int socket, byte *buf, int len, struct qsockaddr *addr)
 {
-    int addrlen = sizeof(struct qsockaddr);
+    socklen_t addrlen = sizeof(struct qsockaddr);
     int ret;
 
     ret = recvfrom(socket, buf, len, 0, (struct sockaddr *)addr, &addrlen);
@@ -324,7 +324,7 @@
 int
 UDP_GetSocketAddr(int socket, struct qsockaddr *addr)
 {
-    int addrlen = sizeof(struct qsockaddr);
+    socklen_t addrlen = sizeof(struct qsockaddr);
     unsigned int a;
 
     memset(addr, 0, sizeof(struct qsockaddr));
diff -urN b/QW/common/net_udp.c head/QW/common/net_udp.c
--- b/QW/common/net_udp.c	2004-08-08 12:23:21.000000000 +0930
+++ head/QW/common/net_udp.c	2005-11-03 21:45:54.000000000 +1030
@@ -185,7 +185,7 @@
 {
     int ret;
     struct sockaddr_in from;
-    int fromlen;
+    socklen_t fromlen;
 
     fromlen = sizeof(from);
     ret =
@@ -264,7 +264,7 @@
 {
     char buff[MAXHOSTNAMELEN];
     struct sockaddr_in address;
-    int namelen;
+    socklen_t namelen;
 
     gethostname(buff, MAXHOSTNAMELEN);
     buff[MAXHOSTNAMELEN - 1] = 0;
